<?php
    $home_url = '/';
    $list_type_show_array = array('escorts-only', 'bdsm', 'boys-trans', 'escorts', 'agencies');

    $city_slug = false;
    if( isset($this->params['city']) && $this->params['city'] ) {
        $city_slug = $this->params['city'];
    }

    $country_slug = false;
    if( isset($this->params['country']) && $this->params['country'] ) {
        $country_slug = $this->params['country'];
    }

    $title = "";
    $_isBreadcrumb = true;

    if ( $city_slug ) {
        $m_city = new Cubix_Geography_Cities();
        $m_coutry = new Cubix_Geography_Countries();

        $city_id = $m_city->getIdBySlug( $city_slug );
        $country_id = $m_city->getCountryIdBySlug( $city_slug );
        $country_slug = $m_coutry->getSlugById( $country_id );

        $title = $m_city->getTitleBySlug( $city_slug );
        $title_co = $m_coutry->getTitleBySlug( $country_slug );

        $this->sitePath()->append( $title_co, '/' . $this->p_top_category . '-' . $country_slug . '-c' . $country_id );
        $this->sitePath()->append( $title . ' ' .  __('escorts'), '/' . $this->p_top_category . '-' . $city_slug . '-' . $city_id );


    } else if ( $country_slug ) {
        $m_coutry = new Cubix_Geography_Countries();
        $title = $m_coutry->getTitleBySlug( $country_slug );
        $country_id = $m_coutry->getIdBySlug( $country_slug );

        $this->sitePath()->append( $title . ' ' .  __('escorts'), '/' . $this->p_top_category . '-' . $country_slug . '-c' . $country_id );

    } else {
        $title = __('our');
        $_isBreadcrumb = false;
    }
?>

<? if( $_isBreadcrumb ): ?>
    <div class="_breadcrumb">
        <?=$this->sitePath();?>
    </div>
<? endif; ?>

<div class="toClear"></div>
<div id="header">
    <header>
        <div id="changeGeolocation">
            <span class="geoSwitcher"><?=__('change_location')?></span>

            <div id="filter" class="mob-geo-filter">

                <?php $model_co = new Cubix_Geography_Countries(); ?>
                <div class="fleft mr45">
                    <!--                    <label for="country" class="an">--><?//= __('rev_choose_your_country') ?><!--</label>-->
                    <select onchange="Geography.loadCities($('#city'), $(this), '<?=$this->lang()?>')" id="country" name="country_id" class="w145 an">
                        <option value="">- <?= strtolower(__('country')) ?> -</option>
                        <? foreach ($model_co->ajaxGetAll(false) as $country): ?>
                            <?php $sel = ( $this->country_id == $country->id ) ? 'selected' : '' ?>
                            <option data-slug="<?= $country->slug ?>" <?=$sel?> value="<?= $country->id ?>"><?= $country->title ?></option>
                        <? endforeach ?>
                    </select>
                </div>

                <div class="fleft mr45">
                    <? $model_ci = new Cubix_Geography_Cities() ?>
                    <!--                    <label for="city" class="an">--><?//= __('rev_choose_your_city') ?><!--</label>-->
                    <select id="city" name="city_id" class="w145 an">
                        <option value="">- <?= strtolower(__('city')) ?> -</option>
                        <? foreach ($model_ci->ajaxGetAll(null, $this->country_id) as $city): ?>
                            <?php $sel = ( $this->city_id == $city->id ) ? 'selected' : '' ?>
                            <option data-slug="<?= $city->slug ?>" <?=$sel?> value="<?= $city->id ?>"><?= $city->title ?></option>
                        <? endforeach ?>
                    </select>
                </div>

                <a href="javascript:void(0)" class="close-geolocation"><?=__('close')?></a>
                <a href="javascript:void(0)" class="submit-geolocation"><?='OK'?></a>
                <div class="toClear"></div>
            </div>
        </div>

            <div class="toClear"></div>

        <div class="renderListType" data-transition="slidedown">
            <!--<select data-inline="true" data-inline="true" data-corners="true" data-native-menu="false" data-position-to="window">
                <option value="escorts" <?= ($this->static_page_key == 'escorts-only') ? 'selected="selected"' : '' ?>
                        data-location="<?= $this->getLink('navigation-link', array('top_category' => 'escorts-only', 'city_slug' => $this->p_city_slug, 'city_id' => $this->p_city_id, 'country_slug' => $this->p_country_slug, 'country_id' => $this->p_country_id)) ?>"><?= __('escorts_only'); ?></option>
                <option value="agencies" <?= ($this->static_page_key == 'agencies') ? 'selected="selected"' : '' ?>
                        data-location="<?= $this->getLink('navigation-link', array('top_category' => 'agencies', 'city_slug' => $this->p_city_slug, 'city_id' => $this->p_city_id, 'country_slug' => $this->p_country_slug, 'country_id' => $this->p_country_id)) ?>"><?= __('agencies_only'); ?></option>
                <option value="main" <?= ($this->static_page_key == 'escorts') ? 'selected="selected"' : '' ?>
                        data-location="<?= $this->getLink('navigation-link', array('top_category' => 'escorts', 'city_slug' => $this->p_city_slug, 'city_id' => $this->p_city_id, 'country_slug' => $this->p_country_slug, 'country_id' => $this->p_country_id)) ?>"><?= __('show_all'); ?></option>
            </select>-->

            <select data-inline="true" data-inline="true" data-corners="true" data-native-menu="false" data-position-to="window">
                <? foreach( $this->sort_map as $key => $map ): ?>
                    <option data-location="http://<?=$_SERVER[HTTP_HOST] . array_shift(explode('?', str_replace( 'mobile', '', $_SERVER["REQUEST_URI"] ) ) )?>?sort=<?= $key ?>" value="<?= $key ?>" <? if( $this->current_sort == $key ): ?>selected="selected"<? endif; ?>><?= __($key) ?></option>
                <? endforeach; ?>
            </select>

            <a class="hidden-redirect"></a>
        </div>

        <div class="escort-city-info">
<!--            <span>--><?//= $title ?><!-- --><?//= __('escorts') ?><!--</span>-->

            <? //if( in_array( $this->static_page_key, $list_type_show_array ) ): ?>
            <div class="view-type" data-transition="slidedown">
                <select class="view-type-list" data-inline="true" data-inline="true" data-corners="true" data-native-menu="false" data-position-to="window">
                    <option class="gallery-icon" value="gallery" <?= ($_COOKIE['list_type'] == 'gallery') ? 'selected="selected"' : '' ?>
                            data-cookie="gallery"><?=ucwords(mb_convert_case(__('gallery_view'), MB_CASE_LOWER, "UTF-8"));?></option>
                    <option class="simple-icon" value="simple" <?= ($_COOKIE['list_type'] == 'list') ? 'selected="selected"' : '' ?>
                            data-cookie="list"><?=ucwords(mb_convert_case(__('list_view'), MB_CASE_LOWER, "UTF-8"));?></option>
                    <input type="hidden" value="simple" name="list_type">
                </select>
            </div>

<!--            <div class="view-type">-->
<!--                <a data-rel="simple" class="simple act an"></a>-->
<!--                <a data-rel="gallery" class="gallery an"></a>-->
<!--                <a data-rel="list" class="list an"></a>-->
<!--                <input type="hidden" value="simple" name="list_type">-->
<!--            </div>-->
            <? //endif; ?>
<!--            <span>--><?php //print_r( $this->escorts );?><!--</span>-->
        </div>

<!--        --><?//=$this->static_page_key?>

        <div class="toClear"></div>
        <?php if( $this->country_id && $this->count ): ?>
            <div class="esc-list-info">
                <?php
                    $co_title = $model_co->getTitleById( $this->country_id );
                    echo $co_title;

                    if( $this->city_id ){
                        $co_title = $model_ci->getTitleById( $this->city_id );
                        echo ', ' . $co_title;
                    };

                echo '<span class="esc-count"> - ' . $this->count . ' ' . __('escorts') . '</span>';
                ?>
            </div>
        <?php endif; ?>
<!--        <div class="hr-grey" style="margin: 0;"></div>-->
    </header>
</div>
    <div class="toClear"></div>

